# H225_Endpoint Class Reference

`#include <h225.h>`

Inheritance diagram for H225_Endpoint:

List of all members.

## Public Types

enum | OptionalFields { e_nonStandardData, e_aliasAddress, e_callSignalAddress, e_rasAddress, e_endpointType, e_tokens, e_cryptoTokens, e_priority, e_remoteExtensionAddress, e_destExtraCallInfo, e_alternateTransportAddresses, e_circuitInfo, e_featureSet }

## Public Member Functions

| H225_Endpoint (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H225_NonStandardParameter | m_nonStandardData
H225_ArrayOf_AliasAddress | m_aliasAddress
H225_ArrayOf_TransportAddress | m_callSignalAddress
H225_ArrayOf_TransportAddress | m_rasAddress
H225_EndpointType | m_endpointType
H225_ArrayOf_ClearToken | m_tokens
H225_ArrayOf_CryptoH323Token | m_cryptoTokens
PASN_Integer | m_priority
H225_ArrayOf_AliasAddress | m_remoteExtensionAddress
H225_ArrayOf_AliasAddress | m_destExtraCallInfo
H225_AlternateTransportAddresses | m_alternateTransportAddresses
H225_CircuitInfo | m_circuitInfo
H225_FeatureSet | m_featureSet

## Member Enumeration Documentation

enum H225_Endpoint::OptionalFields

Enumerator:

  e_nonStandardData |
  e_aliasAddress |
  e_callSignalAddress |
  e_rasAddress |
  e_endpointType |
  e_tokens |
  e_cryptoTokens |
  e_priority |
  e_remoteExtensionAddress |
  e_destExtraCallInfo |
  e_alternateTransportAddresses |
  e_circuitInfo |
  e_featureSet |

## Constructor & Destructor Documentation

H225_Endpoint::H225_Endpoint | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H225_Endpoint::GetDataLength | ( |  | ) | const

PBoolean H225_Endpoint::Decode | ( | PASN_Stream & | strm | ) |

void H225_Endpoint::Encode | ( | PASN_Stream & | strm | ) | const

void H225_Endpoint::PrintOn | ( | ostream & | strm | ) | const

Comparison H225_Endpoint::Compare | ( | const PObject & | obj | ) | const

PObject* H225_Endpoint::Clone | ( |  | ) | const

## Member Data Documentation

H225_NonStandardParameter H225_Endpoint::m_nonStandardData

H225_ArrayOf_AliasAddress H225_Endpoint::m_aliasAddress

H225_ArrayOf_TransportAddress H225_Endpoint::m_callSignalAddress

H225_ArrayOf_TransportAddress H225_Endpoint::m_rasAddress

H225_EndpointType H225_Endpoint::m_endpointType

H225_ArrayOf_ClearToken H225_Endpoint::m_tokens

H225_ArrayOf_CryptoH323Token H225_Endpoint::m_cryptoTokens

PASN_Integer H225_Endpoint::m_priority

H225_ArrayOf_AliasAddress H225_Endpoint::m_remoteExtensionAddress

H225_ArrayOf_AliasAddress H225_Endpoint::m_destExtraCallInfo

H225_AlternateTransportAddresses H225_Endpoint::m_alternateTransportAddresses

H225_CircuitInfo H225_Endpoint::m_circuitInfo

H225_FeatureSet H225_Endpoint::m_featureSet

The documentation for this class was generated from the following file:

- h225.h